<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabaseConfig..::.SetPartitionByKeys Method
HashDatabaseConfig Class See Also Send Feedback

Enable database partitioning using the specified partition keys. Return true if partitioning is successfully enabled; otherwise return false. An array of DatabaseEntry where each array entry defines the range of key values to be stored in each partition

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool SetPartitionByKeys(
    	DatabaseEntry[] keys
    )

Visual Basic (Declaration)

    Public Function SetPartitionByKeys ( _
    	keys As DatabaseEntry() _
    ) As Boolean

Visual C++

    public:
    bool SetPartitionByKeys(
    	array<DatabaseEntry^>^ keys
    )

#### Parameters

keys
  Type: array< BerkeleyDB..::.DatabaseEntry >[]()[]

# See Also

HashDatabaseConfig Class
BerkeleyDB Namespace